<?xml version="1.0" encoding="utf-8"?>
<resources xmlns:tools="http://schemas.android.com/tools">

    <declare-styleable name="MtTextView">
        <attr name="ezm_selected" format="boolean" />
        <attr name="ezm_fromColor" format="color" />
        <attr name="ezm_toColor" format="color" />
    </declare-styleable>
    <declare-styleable name="ezmImageViewCircle">
        <attr name="ezm_radius" format="dimension" />
        <attr name="ezm_borderWidth" format="dimension" />
        <attr name="ezm_borderColor" format="color" />
        <attr name="ezm_borderOverlay" format="boolean" />
        <attr name="ezm_textBgColor" format="color" />
    </declare-styleable>
    <declare-styleable name="ezmTextCircleImageView">
        <attr name="ezm_texts" format="string" />
        <attr name="ezm_textColors" format="color" />
        <attr name="ezm_backgroundColors" format="color" />
        <attr name="ezm_first" format="boolean" />
    </declare-styleable>
    <style name="ezmCommonDialog">
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:windowContentOverlay">@null</item>
        <!--  这两个属性解决小米某型号手机锁屏以后无法弹出dialog的问题      -->
        <!--  https://blog.csdn.net/lovedou0816/article/details/98877141      -->
        <item name="android:windowMinWidthMajor">50%</item>
        <item name="android:windowMinWidthMinor">50%</item>
    </style>
    <style name="dialogMonitorText">
        <item name="android:layout_width">0dp</item>
        <item name="android:layout_weight">1</item>
        <item name="android:layout_height">50dp</item>
        <item name="android:background">#8C838383</item>
        <item name="android:layout_margin">1px</item>
        <item name="android:gravity">center</item>
        <item name="android:layout_gravity">center</item>
        <item name="android:textSize">@dimen/ezm_f24</item>
        <item name="android:textColor">@color/ezm_white</item>
    </style>

    <style name="ezmBottomDialog" parent="ezmCommonDialog">
        <item name="android:windowAnimationStyle">@style/ezmBottomInOutAnim</item>
    </style>
    <style name="ezmBottomDialogDimFalse" parent="ezmCommonDialog">
        <item name="android:backgroundDimEnabled">false</item>
    </style>
    <style name="ezmBottomInOutAnim">
        <item name="android:windowEnterAnimation">@anim/ezm_slide_in_bottom</item>
        <item name="android:windowExitAnimation">@anim/ezm_slide_out_bottom</item>
    </style>

    <declare-styleable name="ezmTitleBar">
        <attr name="ezm_tbLeft" format="string" />
        <attr name="ezm_tbTitle" format="string" />
        <attr name="ezm_tbRight" format="string" />
        <attr name="ezm_tbRightTextColor" format="color|reference" />
        <attr name="ezm_tbLeftTextColor" format="color|reference" />
        <attr name="ezm_tbBackground" format="color" />
        <attr name="ezm_tbTitleColor" format="color" />
        <attr name="ezm_tbLeftSize" format="dimension" />
        <attr name="ezm_tbRightSize" format="dimension" />
    </declare-styleable>

    <style name="ezmTitleBar_default">
        <item name="ezm_tbLeft">@string/ezm_icon_back</item>
        <item name="ezm_tbLeftTextColor">@color/ezm_button_text_color_1</item>
        <item name="ezm_tbRightTextColor">@color/ezm_button_text_color_1</item>
    </style>
    <!--主要操作按钮-->
    <style name="ezmButton" parent="Widget.AppCompat.Button.Borderless">
        <item name="android:layout_height">49dp</item>
        <item name="android:textColor">#fff</item>
        <item name="android:textSize">@dimen/ezm_f34</item>
        <item name="android:gravity">center</item>
        <item name="android:background">@drawable/ezm_button_1</item>
    </style>
    <!--辅助操作按钮-主题色-->
    <style name="ezmButton2" parent="Widget.AppCompat.Button.Borderless">
        <item name="android:layout_height">49dp</item>
        <item name="android:textColor">@color/ezm_button_text_color_2</item>
        <item name="android:textSize">@dimen/ezm_f34</item>
        <item name="android:gravity">center</item>
        <item name="android:background">@drawable/ezm_button_2</item>
    </style><!--辅助操作按钮-灰色-->
    <style name="ezmButton3" parent="Widget.AppCompat.Button.Borderless">
        <item name="android:layout_height">49dp</item>
        <item name="android:textColor">@color/ezm_button_text_color_3</item>
        <item name="android:textSize">@dimen/ezm_f34</item>
        <item name="android:gravity">center</item>
        <item name="android:background">@drawable/ezm_button_3</item>
    </style>
    <style name="ezmSwitch">
        <item name="android:layout_height">wrap_content</item>
        <item name="android:layout_width">wrap_content</item>
        <item name="android:track" tools:ignore="NewApi">@drawable/ezm_switch_selector</item>
        <item name="android:thumb" tools:ignore="NewApi">
            @drawable/ezm_switch_white_circle_selector
        </item>
    </style>
    <style name="EzmBeautySeekBar">
        <item name="android:thumb">@drawable/ezm_bg_seekbar_indicator</item>
        <item name="android:progressDrawable">@drawable/ezm_bg_seekbar_progress</item>
    </style>
</resources>